Package com.independentsoft.office.drawing

# Class ShapeTextBody

java.lang.Object
com.independentsoft.office.drawing.ShapeTextBody

public class ShapeTextBody extends Object
The Class ShapeTextBody.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ShapeTextBody()`
  Instantiates a new shape text body.
  `ShapeTextBody​(InternalXMLStreamReader reader)`
  Instantiates a new shape text body.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ShapeTextBody`
  `clone()`
  `List<TextParagraph>`
  `getParagraphs()`
  Gets the paragraphs.
  `TextBodyProperties`
  `getTextBodyProperties()`
  Gets the text body properties.
  `TextListStyle`
  `getTextListStyle()`
  Gets the text list style.
  `void`
  `setTextListStyle​(TextListStyle textListStyle)`
  Sets the text list style.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ShapeTextBody

    public ShapeTextBody()
    Instantiates a new shape text body.

  - ### ShapeTextBody

    public ShapeTextBody​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new shape text body.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public ShapeTextBody clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getTextBodyProperties

    public TextBodyProperties getTextBodyProperties()
    Gets the text body properties.
    Returns:
      the text body properties

  - ### getTextListStyle

    public TextListStyle getTextListStyle()
    Gets the text list style.
    Returns:
      the text list style

  - ### setTextListStyle

    public void setTextListStyle​(TextListStyle textListStyle)
    Sets the text list style.
    Parameters:
      `textListStyle` - the new text list style

  - ### getParagraphs

    public List<TextParagraph> getParagraphs()
    Gets the paragraphs.
    Returns:
      the paragraphs